Status: Resolved Priority: Should have
Created: 2012-04-26 Assigned To: Karsten Dambekalns
Updated: 2012-04-27 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: In CLI context no (HTTP) request is present, thus token separation fails
Description

separateActiveAndInactiveTokens() in Security\Context fails if $this->request is NULL. In that case, token separation should probably
be skipped completely.

Associated revisions
Revision 1148aebf - 2012-04-26 17:38 - Karsten Dambekalns

[BUGFIX] Skip token separation without request in Security\Context

separateActiveAndInactiveTokens() in Security\Context fails if
$this->request is NULL.

With this change, token separation is skipped completely in that case.

Change-Id: Ie5165e88ed8f1572fb6060764910b81fdca00915
Fixes: #36624
Releases: 1.1

History
#1 - 2012-04-26 17:38 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10789

#2 - 2012-04-27 02:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1148aebf3342cc5891c333c514514c17e4b1b0e5.
